getdns_list(3)

NAME
getdns_list, getdns_list_create, getdns_list_create_with_extended_memory_functions, getdns_list_create_with_memory_functions, getdns_list_destroy -- getdns list create and destroy routines

LIBRARY
DNS Resolver library (libgetdns, -lgetdns)

SYNOPSIS
#include <getdns.h> getdns_list *
getdns_list_create () getdns_list *
getdns_list_create_with_extended_memory_functions
    (void *userarg,
    void *(*malloc)(void *userarg, size_t sz),
    void *(*realloc)(void *userarg, void *buf, size_t sz),
    void (*free)(void *userarg, void *buf)
    getdns_list *
    getdns_list_create_with_memory_functions
        (void *userarg,
        void *(*malloc)(size_t sz),
        void *(*realloc)(void *buf, size_t sz),
        void (*free)(void *buf)
        void
        getdns_list_destroy (getdns_list *this_dict)

DESCRIPTION

The getdns_list type is used to manage heterogeneous indexed lists name/value pairs in which the data types of the values include
    getdns_bindata
    getdns_dict
    getdns_list
    uint32_t

The destroy function performs a "deep" destroy, freeing storage for all of the members of the list before destroying the list. There are a number of helper functions that provide access to the list object, see their respective man pages.

userarg pass this argument to the user specified memory management functions for operations on lists created using extended memory functions

this_list the list to destroy

RETURN VALUES
Upon successful completion the getdns_list_create function returns a valid (empty) list structure that should be freed via a call to getdns_list_destroy. If a parameter in invalid or in the event of some error getdns_list_create returns NULL.

EXAMPLES
TBD

SEE ALSO
libgetdns(3), getdns_dict(3), getdns_list_get(3), getdns_list_set(3)